﻿$ErrorActionPreference = 'Stop' # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://github.com/aandrew-me/ytDownloader/releases/download/v3.12.0/YTDownloader_Win.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  #file         = $fileLocation

  softwareName  = 'ytdownloader*'
  checksum      = 'dd144e1a2e6df7c7a17f81f903564dec65dede1320fdfe43d4e276a76fe71c2a' #sha256
  checksumType  = 'sha256'

  # MSI
  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)

}

Install-ChocolateyPackage @packageArgs
